
CoCoA-5 - Bug #1046

CoCoA-5 no longer lists the external libs present

13 Apr 2017 22:25 - John Abbott

Status: Closed Start date: 13 Apr 2017

Priority: Low Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 1.01 hour

Target version: CoCoA-5.2.0 spring 2017 Spent time: 0.85 hour

Description

Previously CoCoA-5 listed which external libs had been compiled in.

It no longer does so (except for READLINE).

Fix it.

Related issues:

Related to CoCoALib - Feature #1050: ExternalLibs: function for getting info Closed 24 Apr 2017

Related to CoCoA-5 - Feature #711: External Libs: print credits? Closed 18 May 2015

History

#1 - 13 Apr 2017 22:27 - John Abbott

- Priority changed from Normal to Low

The problem is that the technique used employs a "hack" which reads the command line flags for the compiler.

The new way of handling these flags is not compatible with this "hack".

Is there a clean solution?

#2 - 26 Apr 2017 22:34 - Anna Maria Bigatti

- Related to Feature #1050: ExternalLibs: function for getting info added

#3 - 27 Apr 2017 09:09 - Anna Maria Bigatti

- Status changed from New to Resolved

- Assignee set to Anna Maria Bigatti

- Target version changed from CoCoA-5.?.? to CoCoA-5.2.0 spring 2017

- % Done changed from 0 to 80

- Estimated time set to 1.01 h

Added to VersionInfo (in BuiltinFunctions.C) the field ExternalLibs.

#4 - 27 Apr 2017 11:40 - John Abbott

- Related to Feature #711: External Libs: print credits? added

#5 - 27 Apr 2017 15:38 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

Now it works well enough.
Closing!
